//
//   Copyright 2013 Pixar
//
//   Licensed under the Apache License, Version 2.0 (the "Apache License")
//   with the following modification; you may not use this file except in
//   compliance with the Apache License and the following modification to it:
//   Section 6. Trademarks. is deleted and replaced with:
//
//   6. Trademarks. This License does not grant permission to use the trade
//      names, trademarks, service marks, or product names of the Licensor
//      and its affiliates, except as required to comply with Section 4(c) of
//      the License and to reproduce the content of the NOTICE file.
//
//   You may obtain a copy of the Apache License at
//
//       http://www.apache.org/licenses/LICENSE-2.0
//
//   Unless required by applicable law or agreed to in writing, software
//   distributed under the Apache License with the above modification is
//   distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
//   KIND, either express or implied. See the Apache License for the specific
//   language governing permissions and limitations under the Apache License.
//

#include "../common/shape_utils.h"

struct ShapeDesc {

    ShapeDesc(char const * iname, std::string const & idata, Scheme ischeme,
              bool iisLeftHanded=false) :
        name(iname), data(idata), scheme(ischeme), isLeftHanded(iisLeftHanded) { }

    std::string name,
                data;
    Scheme      scheme;
    bool        isLeftHanded;
};

static std::vector<ShapeDesc> g_shapes;

#include "../shapes/all.h"

//------------------------------------------------------------------------------
static void initShapes() {
    g_shapes.push_back( ShapeDesc("catmark_car",     catmark_car,   kCatmark ) );
    g_shapes.push_back( ShapeDesc("catmark_pole64", catmark_pole64, kCatmark ) );
}
//------------------------------------------------------------------------------
